Bug 203681 - BEA 1.5 JVM crash on JBoss 4.0.4GA test case
Summary: BEA 1.5 JVM crash on JBoss 4.0.4GA test case
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.5.0-bea
Version: 4.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Fitzsimmons
QA Contact: Len DiMaggio
URL:
Whiteboard:
Keywords:
: 197343 (view as bug list)
Depends On: 197343
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-23 03:32 UTC by Len DiMaggio
Modified: 2007-11-17 01:14 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-01-24 20:39:06 UTC


Attachments (Terms of Use)
This is a simple test class which when run with the BEA 1.5.0_06 x86_64 JVM, results in a core dump. (586 bytes, text/x-java)
2006-09-25 15:02 UTC, Vivek Lakshmanan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0031 normal SHIPPED_LIVE java-1.5.0-bea enhancement update 2007-01-24 20:38:59 UTC

Comment 3 Len DiMaggio 2006-09-21 17:29:30 UTC
Retried the same test with:

-> JBossAS 4.0.5cr1
(http://sourceforge.net/project/showfiles.php?group_id=22866&package_id=1
6942&release_id=443824)

-> java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
BEA JRockit(R) (build R26.4.0-63-63688-1.5.0_06-20060626-2259-linux-x86_64, )

Results are the same - the JVM core dumps on this test:
   org.jboss.test.cmp2.audit.test.AuditUnitTestCase

Core and rockit.dump file are here:
   http://people.redhat.com/dbhole/bea_compiled_jboss/Sept20_bea_1.5_06.tar.bz2

Comment 4 Vivek Lakshmanan 2006-09-25 15:02:50 UTC
Created attachment 137057 [details]
This is a simple test class which when run with the BEA 1.5.0_06 x86_64 JVM, results in a core dump.

Attached a simplified java class that result when run on the BEA 1.5.0_06 JVM
on an x86_64 platform.

Comment 5 Johan Walles 2006-09-25 15:22:40 UTC
Excellent repro case, Vivek!

I've added it to the BEA internal bug report.


Comment 6 Johan Walles 2006-09-26 07:50:14 UTC
We like short repros :-).

Patched builds available at:
ftp://jrpgftp.jrpg.bea.com/cce/patches/CR284516/R26.4.0

java -version should yield:
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
BEA JRockit(R) (build 
R26.4.0-63_CR284516-68626-1.5.0_06-20060926-0859-linux-x86_64, )

Please let us know how they work out.


Comment 7 Vivek Lakshmanan 2006-09-26 15:02:44 UTC
Johan,
The ftp location ftp://jrpgftp.jrpg.bea.com/cce/patches/CR284516/R26.4.0 seems
to be unreachable for me, possible typo in the host? Or is this an internal ftp
site?

 

Comment 8 Johan Walles 2006-09-27 06:50:33 UTC
You're right, that one is an internal FTP site, sorry about that.  I'm not used
to dealing with external partners / customers directly...

Anyway, Redhat has an account at ftp://jrpg-partners.bea.com.  According to our
internal partners page, Tomas Fitzsimmons should have a username / password
combination for that site.  The JRockit builds are in /CR284516.

The JRockit builds there are just tar files, let me know if you need installers
or whatever.

Comment 9 Vivek Lakshmanan 2006-10-02 15:38:23 UTC
The patched version fixes the bug.

Comment 10 Thomas Fitzsimmons 2006-10-02 20:26:05 UTC
Thanks for the quick turnaround Johan and team!

I'm going to try to get this fix into the next round of updates (RHEL-3.9,
RHEL-4.5, RHEL-5.B2).


Comment 11 Thomas Fitzsimmons 2006-10-23 20:51:02 UTC
This will have to wait until I package JRockit R27.1.  Depending on BEA's
release schedule I may be able to package this in time for RHEL-4.5.  Otherwise
it will have to wait until RHEL-4.6.


Comment 12 Thomas Fitzsimmons 2006-11-27 15:56:12 UTC
BEA has promised me a JRockit R27.1 drop by mid-December.  Requesting exception.


Comment 14 RHEL Product and Program Management 2006-11-28 03:31:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 15 RHEL Product and Program Management 2006-11-28 03:32:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 16 RHEL Product and Program Management 2006-11-28 03:32:23 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 17 RHEL Product and Program Management 2006-11-28 03:33:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 18 Thomas Fitzsimmons 2006-11-30 17:34:03 UTC
*** Bug 197343 has been marked as a duplicate of this bug. ***

Comment 19 Thomas Fitzsimmons 2007-01-05 18:45:59 UTC
I built java-1.5.0-bea-1.5.0.08-1jpp.3.el4, which resolves this bug, into
dist-4E-lacd-qu-candidate.  Changing status to MODIFIED.


Comment 23 Red Hat Bugzilla 2007-01-24 20:39:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-9040.html



Note You need to log in before you can comment on or make changes to this bug.